HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Lookup Subscription

Lookup a subscription's details.

Pending Subscription Changes

When looking up a subscription that has pending changes, the new subscription details will be in a pending_subscription node. Since immediate subscription changes take place immediately, pending subscription changes will only show for changes occurring when the subscription renews.

Paused Subscriptions and current_term_ends_at timestamp

While a subscription is paused, the current_term_ends_at timestamp of the subscription will not be updated to account for the time while the subscription is paused (e.g the timestamp does not get pushed out by the number of paused periods). This is due to the fact that the subscription could be resumed earlier or the number of pause periods can frequently be updated. Any of the former events could potentially change the timestamp. Once a subscription is returned to active, the current_term_renewal_date will be updated.

To calculate the new renewal date while a subscription is paused, you will want to take original renewal date add the length of the pause period.

Subscription ParametersDescription
planNested plan_code and plan name
uuidUnique subscription ID
stateactive, canceled, future, expired, paused
unit_amount_in_centsUnit amount of the subscription
quantityNumber of units
currency3-letter ISO currency for the subscription
activated_atDate the subscription was activated
canceled_atDate the subscription was marked canceled
expires_atDate the subscription will end (if state is canceled) or ended (if state is expired)
auto_renewTrue if subscription term set to auto renew at end of term
current_period_started_atDate the current billing period started
current_period_ends_atDate the current billing period will end
current_term_started_atDate and time that the current term started at.
current_term_ends_atDate and time that the current term will end (or the date and time the term will renew if auto_renew is true)
total_billing_cyclesTotal number of billing periods in the current term.
remaining_billing_cyclesRemaining number of billing periods in the current subscription term. Always set to 0 for subscriptions with a single billing period term.
renewal_billing_cyclesTotal number of billing periods in the subscription's next term, if auto_renew is true
trial_started_atDate the trial was started, if applicable
trial_ends_atDate the trial ended, if applicable
tax_in_centsAmount of tax or VAT within the transaction, in cents.
tax_typeTax type as "vat" for VAT or "usst" for US Sales Tax.
tax_regionRegion where taxes are applied.
tax_rateTax rate that will be applied to this subscription.
po_numberPO number reference.
net_termsInvoice net terms in days.
collection_methodInvoice collection as "automatic" or "manual".
subscription_add_onsNested list of add-ons on the subscription, if applicable
pending_subscriptionNested information about a pending subscription change at renewal
terms_and_conditionsOptional notes field. This will default to the Terms and Conditions text specified on the Invoice Settings page in your Recurly admin. Specify custom notes with this tag to add or override Terms and Conditions. Custom notes will stay with a subscription on all renewals.
customer_notesOptional notes field. This will default to the Customer Notes text specified on the Invoice Settings page in your Recurly admin. Specify custom notes with this tag to add or override Customer Notes. Custom notes will stay with a subscription on all renewals.
bank_account_authorized_atRecurring subscriptions paid with ACH will have this attribute with an iso8601 timestamp value. This timestamp is used for alerting customers to reauthorize in 3 years in accordance with NACHA rules. If a subscription becomes inactive or the billing info is no longer a bank account, this timestamp is cleared and the attribute will not exist.
planNested information about the new plan
unit_amount_in_centsNew subscription's unit amount in cents
quantityNew subscription quantity
subscription_add_onsNested list of add-ons
started_with_giftTrue if the subscription started from a gift card.
converted_atThe timestamp representing when the subscription was converted from a gift card.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Subscription's unique identifier.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml